/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.shardingsphere.elasticjob.cloud.scheduler.fixture;

import org.apache.shardingsphere.elasticjob.cloud.scheduler.config.app.CloudAppConfiguration;
import lombok.AccessLevel;
import lombok.NoArgsConstructor;
import org.apache.shardingsphere.elasticjob.cloud.scheduler.config.app.pojo.CloudAppConfigurationPOJO;

@NoArgsConstructor(access = AccessLevel.PRIVATE)
public final class CloudAppConfigurationBuilder {
    
    /**
     * Create cloud app configuration.
     * @param appName app name
     * @return CloudAppConfiguration
     */
    public static CloudAppConfigurationPOJO createCloudAppConfiguration(final String appName) {
        return CloudAppConfigurationPOJO.fromCloudAppConfiguration(new CloudAppConfiguration(appName,
                "http://localhost/app.jar", "bin/start.sh"));
    }
}
